You are not registered yet. Please click here to register!


 
 
plc storereviewsdownloads
This board is for PLC Related Q&A ONLY. Please DON'T use it for advertising, etc.
 
Try our online PLC Simulator- FREE.  Click here now to try it.

New Here? Please read this important info!!!


Go Back   PLCS.net - Interactive Q & A > PLCS.net - Interactive Q & A > LIVE PLC Questions And Answers

Reply
 
Thread Tools Display Modes
Old November 27th, 2011, 04:27 PM   #16
Ken Roach
Lifetime Supporting Member + Moderator
United States

Ken Roach is offline
 
Ken Roach's Avatar
 
Join Date: Apr 2002
Location: Seattle, WA
Posts: 16,683
Wait, wait, back up.

Verify that the development computer has the exact same RSLinx Enterprise drivers, network schema, and Shortcut definitions in the Development and Runtime tabs. If you haven't been matching these by using the "Copy" button then you might not have the same configuration on the terminal as on the development computer.

On the PanelView Plus, create a Diagostic screen that is full-screen and has a large diagnostic summary area, so that you can see any error messages that appear on the terminal.

In the interest of being thorough: Please post the text of any error messages you see on the PanelView terminal's Diagnostic screen that you think might be related to the communication problems you are encountering.

It is possible that the 5.10 firmware in your terminal might not support communications to the v18 CompactLogix L43S controller, while the FactoryTalk View development software does. I cannot say for certain because I do not have those exact versions to test and I do not work for Rockwell Automation's technical support division.

Any additional information you can post about the Tags (are they inside the Safety Task ?) you are trying to read and the error messages you are seeing would be useful.
  Reply With Quote
Old November 27th, 2011, 04:50 PM   #17
Kev77
Member
United States

Kev77 is offline
 
Kev77's Avatar
 
Join Date: Mar 2008
Location: Beaverton, Or
Posts: 407
Do you have the patches up to date ? Seems ridiculous to release software without having verified compatibility with their own products! I didn't see any notes about it in the release notes under known issues.
  Reply With Quote
Old November 27th, 2011, 04:59 PM   #18
BMLLER6758
Member
Germany

BMLLER6758 is offline
 
Join Date: Aug 2006
Location: Kiel
Posts: 93
what do you mean with reconfigure ?

Delete and make new ?

Hanx
__________________
www.werner-kluge.com
Rockwell Solution Provider
  Reply With Quote
Old November 27th, 2011, 05:16 PM   #19
Ken Roach
Lifetime Supporting Member + Moderator
United States

Ken Roach is offline
 
Ken Roach's Avatar
 
Join Date: Apr 2002
Location: Seattle, WA
Posts: 16,683
What curlyandshemp is describing is deleting the Controller itself from the RSLinx Enterprise communication schema, then manually replacing it with a known-compatible controller.

This can be tricky because RSLinx Enterprise constantly browses for the controllers behind the Ethernet modules that are defined in the schema.

I disconnect my development computer from the network before performing this procedure:

1. In RSLinx Enterprise Communication Setup window, right-click on the CompactLogix CPU itself (not the Ethernet module, or the 1768 Bus backplane), right-click and select "Delete".

2. Right-click on the 1768 Bus backplane and select "Add Device". Choose a similar controller (like a 1768-L43) that is supported by your version of FactoryTalk View Studio and RSLinx Enterprise.

3. Select the Shortcut and the CompactLogix CPU and click the "Apply" button in the Shortcut Definition window.

4. Click the "Copy from Design to Runtime" button in the RSLinx Enterprise configuration window. This copies the newly modified configuration from the Development tab to the Runtime tab. That's the definition that will be downloaded to the PanelView when you create a *.MER file.
  Reply With Quote
Old November 28th, 2011, 12:28 AM   #20
BMLLER6758
Member
Germany

BMLLER6758 is offline
 
Join Date: Aug 2006
Location: Kiel
Posts: 93
Hanx all,

I will give it a try today !!!

best regards

Bernd
__________________
www.werner-kluge.com
Rockwell Solution Provider
  Reply With Quote
Old November 28th, 2011, 04:27 PM   #21
BMLLER6758
Member
Germany

BMLLER6758 is offline
 
Join Date: Aug 2006
Location: Kiel
Posts: 93
I try it with the L43S and Version 19 --> Won´t work

I go offline an try the L43 --> Work !!! but not with Version 18

It look like that RSLinx Enterprise has some Problems with the L4XS Processors.
__________________
www.werner-kluge.com
Rockwell Solution Provider
  Reply With Quote
Old November 28th, 2011, 11:12 PM   #22
Kev77
Member
United States

Kev77 is offline
 
Kev77's Avatar
 
Join Date: Mar 2008
Location: Beaverton, Or
Posts: 407
So just to be clear, version 18 didn't work correctly on either processor but version 19 works on the standard controller? Did you do a firmware update on the Panelview? I know from my several conversations with tech support that they always have me update and match the CPR levels with patches. I was running a version 5 distributed project and after several months RS Linx Enterprise messed up and after 20 hours and an update to version 6, the problem was fixed. The strange thing is I had to delete my ethernet I/p driver to get enterprise back in line.
  Reply With Quote
Old July 19th, 2014, 07:26 PM   #23
nochehuatl
Member
United States

nochehuatl is offline
 
nochehuatl's Avatar
 
Join Date: Jan 2012
Location: Cali
Posts: 11
Tech upgrade firmware

I has the same issue with a PVP700 v5.1 communicating to a compactlogix 1769-L36ERM . Downloaded upadated firmware from Rockwell's site and updates the pvp. Issue solved.
  Reply With Quote
Old March 8th, 2015, 03:08 AM   #24
abdul1306
Member
Saudi Arabia

abdul1306 is offline
 
Join Date: Dec 2013
Location: Jeddah
Posts: 1
Hi friend

I am working with panel view plus 700 HMI and L61 PLC processor.

I want to edit HMI tag's. Please help me, How to edit PV+ 700 tag's
  Reply With Quote
Old March 8th, 2015, 08:40 AM   #25
jstolaruk
Lifetime Supporting Member
United States

jstolaruk is offline
 
Join Date: Dec 2004
Location: Detroit, SE Michigan
Posts: 3,796
Quote:
Originally Posted by abdul1306 View Post
Hi friend

I am working with panel view plus 700 HMI and L61 PLC processor.

I want to edit HMI tag's. Please help me, How to edit PV+ 700 tag's
You'll need the FactoryTalk View Studio - View Machine Edition software to edit the application running on the PV+.
__________________
I don't always test my code but when I do, I do it in production.
  Reply With Quote
Old May 31st, 2016, 04:47 AM   #26
Vasilis93
Member
Greece

Vasilis93 is offline
 
Join Date: May 2016
Location: Kozani
Posts: 1
pls help

what version of RSLinx Enterprise do i need to communicate with FactoryTalk 5.10 ?
  Reply With Quote
Old February 5th, 2017, 03:50 PM   #27
clegger
Member
United States

clegger is offline
 
Join Date: Jan 2017
Location: Tuscaloosa
Posts: 18
Quote:
Originally Posted by Kev77 View Post
So just to be clear, version 18 didn't work correctly on either processor but version 19 works on the standard controller? Did you do a firmware update on the Panelview? I know from my several conversations with tech support that they always have me update and match the CPR levels with patches. I was running a version 5 distributed project and after several months RS Linx Enterprise messed up and after 20 hours and an update to version 6, the problem was fixed. The strange thing is I had to delete my ethernet I/p driver to get enterprise back in line.
Okay, I am having the same issue only different controller. I am using a compactLogix 1769-L24ER-QB1B running version 20.13. Panelview Plus 1000 running 5.10 (highest available). I sm only allowed to use RSLogix 5000 v20.03 in my plant. I tried updating my controller to every newer version but none of them seem to work with my RSLogix software version except 20.13. I am getting the same message.

"WARNING: Unsupported device detected. Shortcut name = "PLC". Device name = "TL2_CPLX_41_VMI_MILL_LOADER_dev3". Description: The system has detected that a device that is not supported in the requested version is referenced by a shortcut. This situation may not cause any runtime error if the system, upon which this project is to be run, has received a patch or has been upgraded to a newer version that support for this device. Otherwise runtime errors will be detected and logged in the target system when the system attempts to communicate to that device.

I was just going to ignore this and go on but the panelview isn't able to see any of the tags from the PLC. My computer can see them because I did online tag addressing. I can also use the "test" mode and everything works fine, just not on the panelview.

What should I do?

Oh, and i am using Factory talk view studio v6.10

Thank you!
  Reply With Quote
Old February 5th, 2017, 04:33 PM   #28
Ken Roach
Lifetime Supporting Member + Moderator
United States

Ken Roach is offline
 
Ken Roach's Avatar
 
Join Date: Apr 2002
Location: Seattle, WA
Posts: 16,683
Since you are limited to using only RSLogix 5000 version 20.03, you're going to be restricted to 20.x firmware in any of your controllers. That's normal.

Because your PanelView Plus terminal has the older pre-6 hardware, it's going to be restricted to running version 5.10.x firmware. Also normal.

And that version 5.10.x firmware probably won't recognize the 1769-L24 CompactLogix. Controller identities and support are hard-coded into the RSLinx Enterprise software that's part of the runtime firmware bundle that's installed on the terminal.

So you probably need an upgrade to the PanelView Plus firmware.

RA Knowledgebase article ID # 490905 suggests that the PV+ firmware that will support CompactLogix controllers with v20 firmware is 5.10.08.
  Reply With Quote
Old February 5th, 2017, 05:15 PM   #29
clegger
Member
United States

clegger is offline
 
Join Date: Jan 2017
Location: Tuscaloosa
Posts: 18
Quote:
Originally Posted by Ken Roach View Post
Since you are limited to using only RSLogix 5000 version 20.03, you're going to be restricted to 20.x firmware in any of your controllers. That's normal.

Because your PanelView Plus terminal has the older pre-6 hardware, it's going to be restricted to running version 5.10.x firmware. Also normal.

And that version 5.10.x firmware probably won't recognize the 1769-L24 CompactLogix. Controller identities and support are hard-coded into the RSLinx Enterprise software that's part of the runtime firmware bundle that's installed on the terminal.

So you probably need an upgrade to the PanelView Plus firmware.

RA Knowledgebase article ID # 490905 suggests that the PV+ firmware that will support CompactLogix controllers with v20 firmware is 5.10.08.
Thanks for the quick reply.

I tried clicking your link so that I could read more about it but it takes me to a site wanting me to log in, i used my login from Rockwell and it just says access validated.

Looking up my panelview fw on rockwells support site only gives me to version 5.10.06.09. I don't see anything higher than that.

I talked to an engineer out at the plant just now and he said that I could upgrade my RSLogix to 5000 v20.04 but that was it. So tomorrow when I get back to work I will try and see what I can do.

The downloads page for my controller fw says that all the newer revisions are compatible with 20.03 though, so I don't know why they weren't working. Also , im my program I am unable to change the minor revision, it just allows me to change the major, but there isn't anything there to change it to.

Im going to attatch pictures of the links and what my error messages are when I flash the controller to any higher revision.

Is this a controller issue, or a panelview issue?

Thanks!
Attached Images
File Type: jpg Capture.jpg (48.0 KB, 19 views)
File Type: jpg Capture2.jpg (20.7 KB, 10 views)
File Type: jpg Capture4.jpg (47.8 KB, 11 views)
File Type: jpg Capture3.jpg (54.1 KB, 11 views)
File Type: jpg Capture5.JPG (38.6 KB, 15 views)
  Reply With Quote
Old February 5th, 2017, 05:29 PM   #30
clegger
Member
United States

clegger is offline
 
Join Date: Jan 2017
Location: Tuscaloosa
Posts: 18
Quote:
Originally Posted by Ken Roach View Post
Since you are limited to using only RSLogix 5000 version 20.03, you're going to be restricted to 20.x firmware in any of your controllers. That's normal.

Because your PanelView Plus terminal has the older pre-6 hardware, it's going to be restricted to running version 5.10.x firmware. Also normal.

And that version 5.10.x firmware probably won't recognize the 1769-L24 CompactLogix. Controller identities and support are hard-coded into the RSLinx Enterprise software that's part of the runtime firmware bundle that's installed on the terminal.

So you probably need an upgrade to the PanelView Plus firmware.

RA Knowledgebase article ID # 490905 suggests that the PV+ firmware that will support CompactLogix controllers with v20 firmware is 5.10.08.

Okay, so creating the runtime application in version 6.0 I don't get any errors. So I think I understand it a little bit better now. RSLinx Enterprise is the issue. Is there any way to change this? Its looking like I need a panelview plus 6 to communicate with the compactlogix controller.
  Reply With Quote
Reply
Jump to Live PLC Question and Answer Forum

Bookmarks


Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Topics
Thread Thread Starter Forum Replies Last Post
B&R Panel to PC Upload? alec24 LIVE PLC Questions And Answers 11 April 4th, 2020 06:52 AM
Process Panel programming - common question and LIVE PLC Questions And Answers 0 November 18th, 2009 12:55 PM
Panel View 1400E Comm Problems WireGuy1950 LIVE PLC Questions And Answers 0 April 29th, 2009 10:40 AM
Ab Panel View 300 Operator Panel ravirajesh01 LIVE PLC Questions And Answers 1 February 19th, 2007 01:53 PM
panel view 550 PERSPOLIS LIVE PLC Questions And Answers 3 June 7th, 2002 08:14 PM


All times are GMT -4. The time now is 11:10 AM.


.